Name:           gnustep-back    
Version:        0.18.0
Release:        4%{?dist}
Summary:        The GNUstep back-end library
License:        LGPLv3+ and GPLv3+

Group:          Development/Libraries
URL:            http://www.gnustep.org
Source:         ftp://ftp.gnustep.org/pub/gnustep/core/%{name}-%{version}.tar.gz

BuildRoot:      %{_tmpath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  freetype-devel
BuildRequires:  libX11-devel
BuildRequires:  libXt-devel
BuildRequires:  libXext-devel
BuildRequires:  libXmu-devel
BuildRequires:  libICE-devel
BuildRequires:  libXft-devel
BuildRequires:  mesa-libGL-devel
BuildRequires:  cairo-devel
BuildRequires:  libart_lgpl-devel
BuildRequires:  gcc-objc
BuildRequires:  gnustep-make >= 2.4.0
BuildRequires:  gnustep-gui-devel gnustep-base-devel >= 1.20
BuildRequires:  texinfo

Requires:       gnustep-gui

%description 
This is a back-end for the GNUstep GUI library which allows you to use
the GNUstep GUI library on an X Windows System (other back-ends will
be added later to allow you to use the GNUstep GUI Library in other windowing
environments). This package includes development headers too.

%prep
%setup -q

%build
%configure -with-installation-domain=SYSTEM
make %{?_smp_mflags} messages=yes
make %{?_smp_mflags} -C Documentation messages=yes \
     GNUSTEP_MAKEFILES=%{_libdir}/GNUstep/Makefiles

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT \
     GNUSTEP_INSTALLATION_DOMAIN=SYSTEM
make -C Documentation install DESTDIR=$RPM_BUILD_ROOT \
     GNUSTEP_INSTALLATION_DOMAIN=SYSTEM \
     GNUSTEP_MAKEFILES=%{_libdir}/GNUstep/Makefiles

rm -rf  $RPM_BUILD_ROOT%{_datadir}/GNUstep/Documentation/Developer/Back/ReleaseNotes

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/gpbs
%{_libdir}/GNUstep/Bundles/libgnustep-back-*/
%{_libdir}/GNUstep/Fonts/
%{_mandir}/man1/gpbs.1.gz

%doc ANNOUNCE ChangeLog COPYING* NEWS README

%doc %{_datadir}/GNUstep/Documentation/Developer/Back/

%changelog
* Mon Jul 12 2010 Jochen Schmitt <Jochen herr-schmitt de> 0.18.0-4
- Untabify
- Mark %%{_datadir}/GNUstep/Documentation/Developer/Back/ as %%doc

* Tue Jul  6 2010 Jochen Schmitt <Jochen herr-schmitt de> 0.18.0-3
- Use of new gnustep parallel build feature

* Mon Jun 21 2010 Jochen Schmitt <Jochen herr-schmitt de> 0.18.0-2
- Add versioned BR. agains gnustep-base-devel
- Fix license tag

* Sun May 16 2010 Jochen Schmitt <Jochen herr-schmitt de> 0.18.0-1
- New upstream release

* Sun Apr 25 2010 Jochen Schmitt <Jochen herr-schmitt de> 0.16.0-3
- Fix typos
- Remove unnecessaries Documentation files

* Thu Oct 15 2009 Jochen Schmitt <Jochen herr-schmitt de> 0.16.0-2
- Modified package on feedback of other GNUstep package reviews

* Thu Dec 11 2008 Jochen Schmitt <Jochen herr-schmitt de> 0.14.0-1
- Initional Package
